aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMenno E. Duursma <druiloor@zonnet.nl>2010-05-11 19:46:24 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:24 +0200
commite5f1fc75e36b4e043b9a3aeb81c1c6dd590fad69 (patch)
tree79ecaf15c85b8ef53dc5662e51f38d7092de8a6a
parent5d5d15646d6acd1127e12a9333410062b388917b (diff)
downloadslackbuilds-e5f1fc75e36b4e043b9a3aeb81c1c6dd590fad69.tar.xz
system/conserver: Updated for version 8.1.16
-rw-r--r--system/conserver/README10
-rw-r--r--system/conserver/conserver.SlackBuild43
-rw-r--r--system/conserver/conserver.info8
-rw-r--r--system/conserver/doinst.sh13
-rw-r--r--system/conserver/slack-desc21
5 files changed, 53 insertions, 42 deletions
diff --git a/system/conserver/README b/system/conserver/README
index 28a06b0c6356..9ef08e26644e 100644
--- a/system/conserver/README
+++ b/system/conserver/README
@@ -1,14 +1,14 @@
Conserver is an application that allows multiple users to watch a serial
console at the same time (serial meaning 'serial data stream' here, not
-necessarily any phisical RS-232 port). It can log the data, allows users
+necessarily any physical RS-232 port). It can log the data, allows users
to take write-access of a console (one at a time), and has a variety
of bells and whistles to accentuate that basic functionality. The idea is
that conserver will log all your serial traffic so you can go back and
review why something crashed, look at changes (if done on the console),
or tie the console logs into a monitoring system (just watch the logfile
-it creates; for instance using ``dnotify'').
+it creates, for instance using dnotify).
Multi-user capabilities allow you to work on equipment with others, mentor,
-train, etc. It also does all that client-server stuff so that, assuming you
-have a network connection, you can interact with any of the equipment from
-home or wherever.
+train, etcetera. It also does all that client-server stuff so that, assuming
+you have a network connection, you can interact with any of the equipment
+from home or wherever.
diff --git a/system/conserver/conserver.SlackBuild b/system/conserver/conserver.SlackBuild
index 439640f04442..c416c0a4f86b 100644
--- a/system/conserver/conserver.SlackBuild
+++ b/system/conserver/conserver.SlackBuild
@@ -3,35 +3,32 @@
# Slackware build script for Conserver
# Written by Menno Duursma <druiloor@zonnet.nl>
-# Modified by the SlackBuilds.org project
PRGNAM=conserver
-VERSION=8.1.14
+VERSION=8.1.16
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Bail out if we have a problem
-set -e
-
-# Set compiler flags
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e # Bail out if we have a problem
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION
-
chown -R root:root .
find . -type d -exec chmod 0755 {} \;
chmod -R a-s,u+w,go+r-w .
@@ -75,27 +72,25 @@ if [ -d $PKG/usr/man ]; then
fi
# Documentation :
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp CHANGES FAQ INSTALL LICENSE PROTOCOL README TODO conserver.html \
- $PKG/usr/doc/$PRGNAM-$VERSION
-# We'll consider this a documentation here
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/contrib
+cp [A-Z][A-Z]* conserver.html $PKG/usr/doc/$PRGNAM-$VERSION
+# We'll consider this to be documentation here
cp -a autologin $PKG/usr/doc/$PRGNAM-$VERSION
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/conserver.cf
cd conserver.cf
-cp INSTALL conserver.cf conserver.passwd label.ps test.cf \
- $PKG/usr/doc/$PRGNAM-$VERSION/conserver.cf
-cp -a samples $PKG/usr/doc/$PRGNAM-$VERSION/conserver.cf
-
+ cp INSTALL conserver.cf conserver.passwd label.ps test.cf \
+ $PKG/usr/doc/$PRGNAM-$VERSION/conserver.cf
+ cp -a samples $PKG/usr/doc/$PRGNAM-$VERSION/conserver.cf
cd ../conserver
-cp Sun-serial $PKG/usr/doc/$PRGNAM-$VERSION
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/contrib
+ cp Sun-serial $PKG/usr/doc/$PRGNAM-$VERSION
cd ../contrib
-cp README maketestcerts $PKG/usr/doc/$PRGNAM-$VERSION/contrib
-# We'll consider this a documentation here too
-cp -a chat $PKG/usr/doc/$PRGNAM-$VERSION/contrib
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+ cp README maketestcerts $PKG/usr/doc/$PRGNAM-$VERSION/contrib
+ # We'll consider this a documentation here too
+ cp -a chat $PKG/usr/doc/$PRGNAM-$VERSION/contrib
+ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+ cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+cd -
# Toss redundant example config files included with source
rm -rf $PKG/usr/share
diff --git a/system/conserver/conserver.info b/system/conserver/conserver.info
index 941db213d2a9..7990061fd4a8 100644
--- a/system/conserver/conserver.info
+++ b/system/conserver/conserver.info
@@ -1,8 +1,8 @@
PRGNAM="conserver"
-VERSION="8.1.14"
+VERSION="8.1.16"
HOMEPAGE="http://www.conserver.com/"
-DOWNLOAD="http://www.conserver.com/conserver-8.1.14.tar.gz"
-MD5SUM="f7825728e5af8992ed4a99fb560a3df8"
+DOWNLOAD="http://www.conserver.com/conserver-8.1.16.tar.gz"
+MD5SUM="2364ba56f5201b07646bdfaefedd330b"
MAINTAINER="Menno E. Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="robw810,alien"
+APPROVED="rworkman"
diff --git a/system/conserver/doinst.sh b/system/conserver/doinst.sh
index b9942d11381d..f6f5fb9808c2 100644
--- a/system/conserver/doinst.sh
+++ b/system/conserver/doinst.sh
@@ -1,20 +1,27 @@
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
# toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
+# Keep same perms on rc.conserver:
+if [ -e etc/rc.d/rc.conserver ]; then
+ cp -a etc/rc.d/rc.conserver etc/rc.d/rc.conserver.new.incoming
+ cat etc/rc.d/rc.conserver.new > etc/rc.d/rc.conserver.new.incoming
+ mv etc/rc.d/rc.conserver.new.incoming etc/rc.d/rc.conserver.new
+fi
+
+config etc/rc.d/rc.conserver.new
config etc/conserver.cf.new
config etc/conserver.passwd.new
config etc/console.cf.new
-config etc/rc.d/rc.conserver.new
# Make sure there is a service mapping for conserver
if ! grep -q "^conserver" etc/services ; then
diff --git a/system/conserver/slack-desc b/system/conserver/slack-desc
index c43a30f2fa55..c27cbf5e9a2a 100644
--- a/system/conserver/slack-desc
+++ b/system/conserver/slack-desc
@@ -1,10 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
conserver: Conserver (Console server)
conserver:
conserver: Conserver is an application that allows multiple users to watch
-conserver: a (serial) console at the same time. It can log the data, allows
-conserver: to take write-access of a console (one at a time), and has a
-conserver: variety of bells and whistles to accentuate that basic
-conserver: functionality. Basically it can consolidate out-off-band
-conserver: management / data. Conserver is maintained by Bryan Stansell.
-conserver: Project homepage: http://www.conserver.com/
+conserver: a (serial) console at the same time. It can log the data; it
+conserver: allows one to take write-access of a console (one at a time); it
+conserver: has a variety of bells and whistles to accentuate that basic
+conserver: functionality. Basically, it can consolidate out-of-band
+conserver: management and data. Conserver is maintained by Bryan Stansell.
+conserver:
+conserver: Homepage: http://www.conserver.com/
conserver: